<%@ Page Language="VB" AutoEventWireup="false" CodeFile="upload.aspx.vb" Inherits="_Default"  EnableSessionState="True" EnableViewState="true"%>

<%@ Register Assembly="RadGrid.Net2" Namespace="Telerik.WebControls" TagPrefix="radG" %>

<%@ Register Assembly="RadTreeView.Net2" Namespace="Telerik.WebControls" TagPrefix="radT" %>

<%@ Register Assembly="RadSplitter.Net2" Namespace="Telerik.WebControls" TagPrefix="radspl" %>

<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>

<%@ Register Assembly="RadUpload.Net2" Namespace="Telerik.WebControls" TagPrefix="radU" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>File Manager - Uploads - Martinjohn Associates</title>
    <link href="filemanager.css" rel="stylesheet" type="text/css" />
</head>
<body>
<center>
    <div id="banner">
        <img style="float:left; position:relative; top:-30px" src="images/files_128.gif" alt="File Upload Manager"/>
        <div id="bannertext">
            <h1>File Upload Manager</h1>
            <p>Safe and secure management of uploaded files</p>
        </div>
        <img border="0" style="float:right;" src="images/Martinjohn.gif" alt="Martinjohn Assocciates"/>
    </div>
    <form id="form1" runat="server" enableviewstate="true" >
            <script type="text/javascript">
		    function ContextMenuClick(node, itemText)
            {                
                if (itemText == "Rename File" || itemText=="Rename Folder")
                {        
                    node.StartEdit();
                }
                if (itemText == "Download File")
                {        
                    window.open("download.aspx?path="+escape(node.Category)+"&amp;filename="+escape(node.Text),null,"height=10,width=10");
                }
		        return true;
            }

            function DropCheck(sourceNode, destNode, events)
            {
                if(destNode.Category=="Recycle")
                {
                    if (!confirm("Are you sure you want to delete " + sourceNode.Text + "?"))
                    {return false}
                }
            }
            </script>
        <radspl:RadSplitter ID="RadSplitter1" runat="server" BackColor="White" Skin="Telerik"
            Width="912px" Height="470px">
            <radspl:RadPane ID="RadPane1" runat="server" Width="22px">
                <radspl:RadSlidingZone ID="RadSlidingZone1" runat="server">
                    <radspl:RadSlidingPane ID="RadSlidingPane1" runat="server" Title="Uploaded" CssClass="TreeviewPane" Width="240px" IconUrl="images/diskette_info_16.gif">
                        <radT:RadTreeView
                            ID="RadTree1" 
                            runat="server" 
                            AutoPostBack="true"
                            BeforeClientContextClick="ContextMenuClick" 
                            BeforeClientDrop="DropCheck"  
                            OnNodeContextClick="ContextClicked" 
                            OnNodeDrop="RadTree1_NodeDrop"
                            Sort="Ascending"
                            RetainScrollPosition="true"   
                            AllowNodeEditing="True" 
                            DragAndDrop="true"
                            DragAndDropBetweenNodes="false" 
                            OnNodeEdit="RadTree1_NodeEdit" 
                            OnNodeClick ="RadTree1_NodeClick"
                            Skin="Telerik" 
                            ImagesBaseDir="~/TreeView/Img/WindowsXP/"
                            Width="230px" 
                            Height="420px"
                            />
                    </radspl:RadSlidingPane>
                    <radspl:RadSlidingPane ID="RadSlidingPane2" runat="server" Title="Contact" Width="250px" CssClass="ContactPane" IconUrl="images/envelope_info_16.gif">
                    <div id="contact">
                    <h2>Contact Us</h2>
                        <b>
                        Martinjohn Associates</b><br />
                        New Media House<br />
                        7 The Constellations<br />
                        Orion Way<br />
                        Kettering<br />
                        NN15 6NH<br />
                        <br />
                        Tel: +44 (0)1536 411515<br />
                        Fax: +44 (0)1536 511451<br /><br />
                        Email: <a href="mailto:sales@martinjohn.co.uk">sales@martinjohn.co.uk</a><br />
                        <br />
                        Website: <a href="http://www.martinjohn.co.uk">www.martinjohn.co.uk</a></div>
                        </radspl:RadSlidingPane>
                    <radspl:RadSlidingPane ID="RadSlidingPane3" runat="server" Title="Help" IconUrl="images/help_16.gif" CssClass="HelpPane" Width="300px">
                    <h2>
                        File Upload Manager</h2>
                        <p>
                            File Upload Manager is designed to allow easy, yet secure, uploading of designated
                            file types to our web server.&nbsp; Please compress your files with WinZip before uploading, to save time and space.</p>
                        <p>
                            <strong>Uploading Files<br />
                            </strong>To upload files, use the upload pane on the right.&nbsp; Click "Select"
                            to open a file browser dialogue and choose the file to upload.&nbsp; To upload more
                            than one file, click "Add" and select a new file each time.</p>
                        <p>
                            Once you've selected your files for uploading, simply click the "Upload" button.&nbsp;
                            You will see a progress meter that indicates the speed of the upload, and how long
                            until it will finish.</p>
                        <p>
                            <strong>Uploaded Files<br />
                            </strong>In the Uploaded Files sliding pane, you can see your files.&nbsp; Right
                            click on any file for the context menu options.<strong></strong></p>
                        <p>
                            <strong></strong>&nbsp;</p>
                    
                    </radspl:RadSlidingPane>
              </radspl:RadSlidingZone>
            </radspl:RadPane>
            <radspl:RadSplitBar ID="RadSplitBar1" runat="server" CollapseMode="Forward" />

            <radspl:RadPane ID="RadPane3" runat="server" CssClass="ResultPane" Width="425px">
            <asp:Label ID="lblNoResults" runat="server" Visible="True">
            <h2>Important</h2>
            <p>Uploaded files will be saved to your company workspace on our server.  Please ensure you use unique filenames for all uploads as existing files of the same name will be overwritten.</p>
            <b>No uploaded files yet</b>
            </asp:Label>
            <asp:Repeater ID="rptReqults" runat="server" Visible="False">
                <HeaderTemplate>
                    <b>Uploaded files:</b><br />
                </HeaderTemplate>
                <ItemTemplate>
                    <p>
                    <asp:Literal ID="ltFileName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "FileName")%>'>
                    </asp:Literal><br />
                    (<asp:Literal ID="ltFileSize" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "ContentLength").ToString() + " bytes"%>'></asp:Literal>)
                    </p>
                </ItemTemplate>
            </asp:Repeater>
            </radspl:RadPane>

            <radspl:RadSplitBar ID="RadSplitBar2" runat="server" CollapseMode="Forward" />
            <radspl:RadPane ID="RadPane2" runat="server" CssClass="UploadPane">
            <h2>Upload Files</h2>
            <p style="line-height:1.4em">
            Please zip your files into a <b>.zip</b> file before uploading.<br/>
            Select files for uploading, then click "Upload".</p>
            <radU:RadUpload ID="upload1" runat="server" OverwriteExistingFiles="true" TargetFolder="~/incoming/"   Skin="Telerik" FocusOnLoad="true" />
            <asp:Button ID="btnSubmit" OnClick="btnSubmit_Click" runat="server" Text="Upload"
                CssClass="RadUploadButton" Style="margin: 10px 5px 5px 0px;" /><br /><br />
                <radU:RadProgressManager ID="ProgressManager1" runat="server" />
        <radU:RadProgressArea ID="ProgressArea1" runat="server" DisplayCancelButton="true" skin="Telerik" />
            </radspl:RadPane>
        </radspl:RadSplitter>
        <radA:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <radA:AjaxSetting AjaxControlID="RadTree1">
                    <UpdatedControls>
                        <radA:AjaxUpdatedControl ControlID="RadTree1" />
                    </UpdatedControls>
                </radA:AjaxSetting>
            </AjaxSettings>
        </radA:RadAjaxManager>  
    </form>
    <div id="credits">
    <div id="footer">
    <a href=".">Logout</a> &nbsp;|&nbsp; 
    <a href="upload.aspx">Uploads</a>
    <asp:Label ID="lblUserAdmin" visible="false" runat="server"> &nbsp;|&nbsp; <a href="useradmin.aspx">User Admin</a></asp:Label>
    </div>
        Application Designed & Coded by <a href="http://www.bsolveit.com" target="_blank" title="Visit the BSolve IT Limited website">BSolve IT Limited</a><br />
        "<b>Internet Solutions for Business Growth</b>"
    </div>
</center>

</body>
</html>
