<%@ Page Language="VB" AutoEventWireup="false" CodeFile="useradmin.aspx.vb" Inherits="useradmin" %>

<%@ Register Assembly="RadComboBox.Net2" Namespace="Telerik.WebControls" TagPrefix="radC" %>

<%@ Register Assembly="RadGrid.Net2" Namespace="Telerik.WebControls" TagPrefix="radG" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>User Administration - File Upload Manager</title>
    <link href="filemanager.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <center>
    <div id="banner">
        <img style="float:left; position:relative; top:-30px; display:inline; margin-bottom:-30px" src="images/files_128.gif" alt="File Upload Manager"/>
        <div id="bannertext">
            <h1>File Upload Manager</h1>
            <p>Safe and secure management of uploaded files</p>
        </div>
        <img border="0" style="float:right;" src="images/Martinjohn.gif" alt="Martinjohn Assocciates"/>
    </div>
    <form id="form1" runat="server">
    <div id="main" style="text-align:left">
    <h1>
        <img src="images/admin_2_48.gif" alt="User Administration" style="margin-right:10px; vertical-align:middle"/>User Administration</h1>
 
        <radG:RadGrid ID="RadGrid1" runat="server" AllowFilteringByColumn="True" AllowPaging="True" AllowSorting="True" DataSourceID="SqlDataSource1" EnableAJAX="True" HorizontalAlign="NotSet" ShowGroupPanel="True" Skin="Telerik" AllowAutomaticDeletes="True" AllowAutomaticInserts="True" AllowAutomaticUpdates="True" ShowFooter="True" MasterTableView-RetrieveNullAsDBNull="true" MasterTableView-ShowFooter="true">
            <ClientSettings AllowDragToGroup="True" AllowColumnHide="True" AllowColumnsReorder="True" AllowExpandCollapse="True" AllowGroupExpandCollapse="True">
                <Selecting AllowRowSelect="True" />
            </ClientSettings>
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="UserID" DataSourceID="SqlDataSource1" AllowMultiColumnSorting="True" CommandItemDisplay="Top" EditMode="InPlace" RetrieveNullAsDBNull="True">
                <Columns>
                    <radG:GridBoundColumn DataField="UserID" DataType="System.Int32" HeaderText="UserID"
                        ReadOnly="True" SortExpression="UserID" UniqueName="UserID" AllowFiltering="False" Display="False">
                        <HeaderStyle Width="45px" />
                    </radG:GridBoundColumn>
                    <radG:GridBoundColumn DataField="Company" HeaderText="Company" SortExpression="Company"
                        UniqueName="Company">
                    </radG:GridBoundColumn>
                    <radG:GridBoundColumn DataField="Email" HeaderText="Email" SortExpression="Email"
                        UniqueName="Email">
                    </radG:GridBoundColumn>
                    <radG:GridBoundColumn DataField="password" HeaderText="password" SortExpression="password"
                        UniqueName="password">
                        <HeaderStyle Width="90px" />
                    </radG:GridBoundColumn>
                  <radg:GridTemplateColumn UniqueName="Status" HeaderText="Status" SortExpression="Status" DataField="Status" GroupByExpression="Status Group By Status" >
                  <HeaderStyle Width="150px" />
                     <ItemTemplate>
                        <asp:Label id="Label1" runat="server">
                           <%# DataBinder.Eval(Container.DataItem, "Status") %>
                        </asp:Label>
                     </ItemTemplate>
                     <EditItemTemplate>
                         <radC:RadComboBox ID="RadComboBox1" runat="server" SelectedValue='<%# Bind("Status") %>' Skin="WindowsGray" SkinsPath="~/RadControls/ComboBox/Skins" DataTextField="Status" >
                             <Items>
                                 <radC:RadComboBoxItem runat="server" Text="Admin" Value="Admin"/>
                                 <radC:RadComboBoxItem runat="server" Text="User" Value="User" />
                             </Items>
                         </radC:RadComboBox>
                     </EditItemTemplate>
                  </radg:GridTemplateColumn>                    
                  <radG:GridEditCommandColumn FilterImageUrl="" SortAscImageUrl="" SortDescImageUrl="" ButtonType="ImageButton">
                    <ItemStyle HorizontalAlign="Center" Width="40px" />
                    </radG:GridEditCommandColumn>
                    <radG:GridButtonColumn CommandName="Delete" Text="Delete" UniqueName="column" ButtonType="ImageButton" ImageUrl="treeview\Img\WindowsXP\13Recycle.gif" ConfirmText="Are you sure you want to delete this user?" >
                        <HeaderStyle Width="20px" />
                    </radG:GridButtonColumn>
                </Columns>
                <ExpandCollapseColumn Visible="False" FilterImageUrl="" SortAscImageUrl="" SortDescImageUrl="">
                    <HeaderStyle Width="19px" />
                </ExpandCollapseColumn>
                <RowIndicatorColumn Visible="False">
                    <HeaderStyle Width="20px" />
                </RowIndicatorColumn>
                <EditFormSettings>
                    <EditColumn UniqueName="EditCommandColumn1" FilterImageUrl="" SortAscImageUrl="" SortDescImageUrl="">
                    </EditColumn>
                </EditFormSettings>
                <PagerStyle AlwaysVisible="True" />
            </MasterTableView>
            <GroupPanel Visible="True">
            </GroupPanel>
            <GroupingSettings CaseSensitive="False" />
        </radG:RadGrid><asp:SqlDataSource ID="SqlDataSource1" runat="server" ConflictDetection="CompareAllValues"
            ConnectionString="<%$ ConnectionStrings:userdbConnectionString %>" DeleteCommand="DELETE FROM [tblUsers] WHERE [UserID] = @original_UserID"
            InsertCommand="INSERT INTO [tblUsers] ([Company], [Email], [password], [Status]) VALUES (@Company, @Email, @password, @Status)"
            OldValuesParameterFormatString="original_{0}" SelectCommand="SELECT * FROM [tblUsers]"
            UpdateCommand="UPDATE [tblUsers] SET [Company] = @Company, [Email] = @Email, [password] = @password, [Status] = @Status WHERE [UserID] = @original_UserID AND [Company] = @original_Company AND [Email] = @original_Email AND [password] = @original_password AND [Status] = @original_Status">
            <DeleteParameters>
                <asp:Parameter Name="original_UserID" Type="Int32" />
                <asp:Parameter Name="original_Company" Type="String" />
                <asp:Parameter Name="original_Email" Type="String" />
                <asp:Parameter Name="original_password" Type="String" />
                <asp:Parameter Name="original_Status" Type="String" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="Company" Type="String" />
                <asp:Parameter Name="Email" Type="String" />
                <asp:Parameter Name="password" Type="String" />
                <asp:Parameter Name="Status" Type="String" />
                <asp:Parameter Name="original_UserID" Type="Int32" />
                <asp:Parameter Name="original_Company" Type="String" />
                <asp:Parameter Name="original_Email" Type="String" />
                <asp:Parameter Name="original_password" Type="String" />
                <asp:Parameter Name="original_Status" Type="String" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="Company" Type="String" />
                <asp:Parameter Name="Email" Type="String" />
                <asp:Parameter Name="password" Type="String" />
                <asp:Parameter Name="Status" Type="String" DefaultValue="User" />
            </InsertParameters>
        </asp:SqlDataSource>
  
    </div>
    </form>
    <div id="credits">
    <div id="footer">
    <a href=".">Logout</a> &nbsp;|&nbsp; 
    <a href="upload.aspx">Uploads</a>
    <asp:Label ID="lblUserAdmin" Visible="false" runat="server"> &nbsp;|&nbsp; <a href="useradmin.aspx">User Admin</a></asp:Label>
    </div>
        Application Designed & Coded by <a href="http://www.bsolveit.com" target="_blank" title="Visit the BSolve IT Limited website">BSolve IT Limited</a><br />
        "<b>Internet Solutions for Business Growth</b>"
    </div>
</center>
</body>
</html>
